If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

All Menu item calls not happening

VERIFIED FIXED

Status

()

Core
XUL
--
blocker
VERIFIED FIXED
16 years ago
9 years ago

People

(Reporter: tracy, Assigned: Mike Pinkerton (not reading bugmail))

Tracking

({smoketest})

Trunk
PowerPC
Mac System 9.x
smoketest
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

16 years ago
seen on mac commercial and mozilla builds: 2001-11-21-08-trunk

-Launch the app
-attempt to use any item through Menu drop down lists
None work.... however if there is a keyboard shortcut of corresponding icon (ie 
mail), those work.  Workaround exists, but still making this a blocker.
(Reporter)

Comment 1

16 years ago
sorry, Asa, I know how much you dislike me putting smoketest blockers under 
browser-general.
Keywords: smoketest
(Reporter)

Comment 2

16 years ago
Actually, there aren't keyboard shortcuts or icons to get to such things as 
Preferences, Privacy & Security...etc.  Definitely a smoketest blocker!!
I've got a mac debug build from last night (around 11 pm), I'll see if that
shows this problem.
I see this problem on a build from last night.
this broke sometime before 9:25 pm, last night.
pink says this worksforhim, from a build from yesterday at 3 pm.
setting some breakpoints in the mac menu code, at nsMenuItem::DoCommand()

if I don't come back in a 20 minutes, send someone in after me.
nsMenuItem::nsMenuItemSelected() isn't getting called.
neither is nsMenuItem::DoCommand().

I'm assuming that's bad, but I don't know the mac menu code.
nsMacEventHandler::HandleMenuCommand() isn't getting called, either.
...reassign as needed.
Assignee: asa → pinkerton
Component: Browser-General → XP Toolkit/Widgets: Menus
QA Contact: doronr → jrgm
DispatchMenyCommandToRaptor() is getting called, in nsMacMessagePump.cpp.

pink and I are debugging...
a file was moved (recently?)

and USE_MENUSELECT is not #defined in nsMacMessageSink.cpp

that horks nsMacMessageSink::DisplatchMenuCommand()

working on the fix with pink...
Index: WidgetSupportConfig.h
===================================================================
RCS file: /cvsroot/mozilla/widget/macbuild/WidgetSupportConfig.h,v
retrieving revision 1.1
diff -u -2 -r1.1 WidgetSupportConfig.h
--- WidgetSupportConfig.h	2001/11/10 01:00:45	1.1
+++ WidgetSupportConfig.h	2001/11/21 19:37:58
@@ -2,2 +2,6 @@
 
 #define _IMPL_NS_WIDGET 1
+
+#if !TARGET_CARBON
+#define USE_MENUSELECT 1
+#endif

there's the fix that pink gave me.  it works.  checked in.
Status: NEW → RESOLVED
Last Resolved: 16 years ago
Resolution: --- → FIXED

Comment 14

16 years ago
Sorry folks, this was my fault. WidgetSupportConfig.h is the right place for the
#define. sr=sfraser n' all that.
menus now working. vrfy fixed using 2001.11.21.12-comm bits on os 9.1.
Status: RESOLVED → VERIFIED
QA Contact: jrgm → sairuh

Updated

9 years ago
Component: XP Toolkit/Widgets: Menus → XUL
QA Contact: bugzilla → xptoolkit.widgets
You need to log in before you can comment on or make changes to this bug.